### Type parameters

- #### T

- #### I: ConditionCheck | Put | Update | Delete

- #### R: TransactBaseOperation<T, I, any>

### Hierarchy

- TransactBaseOperation
  - TransactConditionCheck
  - TransactDelete
  - TransactPut
  - TransactUpdate

### Implements

- ConditionalParamsHost

## Index

### Constructors

- constructor

### Properties

- metadata
- modelClazz
- params
- transactItem

### Methods

- onlyIf
- onlyIfAttribute
- returnValuesOnConditionCheckFailure

## Constructors

### Protected constructor

- new TransactBaseOperation(modelClazz: ModelConstructor<T>): TransactBaseOperation

- - Defined in dynamo/transactwrite/transact-base-operation.ts:21

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  #### Returns TransactBaseOperation

## Properties

### metadata

metadata: Metadata<T>

- Defined in dynamo/transactwrite/transact-base-operation.ts:18

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/transactwrite/transact-base-operation.ts:19

### params

params: I

Implementation of ConditionalParamsHost.params

- Defined in dynamo/transactwrite/transact-base-operation.ts:17

### Abstract transactItem

transactItem: TransactWriteItem

- Defined in dynamo/transactwrite/transact-base-operation.ts:21

## Methods

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): R

- - Defined in dynamo/transactwrite/transact-base-operation.ts:43

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns R

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<R, T, K>

- - Defined in dynamo/transactwrite/transact-base-operation.ts:39

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<R, T, K>

### returnValuesOnConditionCheckFailure

- returnValuesOnConditionCheckFailure(value: DynamoDB.ReturnValuesOnConditionCheckFailure): R

- - Defined in dynamo/transactwrite/transact-base-operation.ts:49

  #### Parameters

  - ##### value: DynamoDB.ReturnValuesOnConditionCheckFailure

  #### Returns R

Generated using TypeDoc